Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::take_while_bind_fn Struct Reference
Inheritance diagram for ranges::views::take_while_bind_fn:

## Public Member Functions
template<typename Pred , typename Proj >
constexpr auto | operator() (Pred &&pred, Proj proj) const
template<typename Pred >
constexpr auto | operator() (Pred pred) const

## Member Function Documentation

## ◆ operator()()

template<typename Pred , typename Proj >

constexpr auto ranges::views::take_while_bind_fn::operator() | ( | Pred && | pred,
|  | Proj | proj
| ) |  | const
| constexpr

Precondition
  requires `(!range<Pred>)` // TODO: underconstrained

References ranges::make_view_closure, and ranges::aux::move.